Bug 1197588 - (CVE-2022-27941) VUL-0: CVE-2022-27941: tcpreplay: tcprewrite in Tcpreplay 4.4.1 has a heap-based buffer over-read in get_l2len_protocol in common/get.c.
(CVE-2022-27941)
VUL-0: CVE-2022-27941: tcpreplay: tcprewrite in Tcpreplay 4.4.1 has a heap-ba...
Status: NEW
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.4
Other Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: Michal Kubeček
Security Team bot
https://smash.suse.de/issue/327301/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-03-28 09:20 UTC by Thomas Leroy
Modified: 2022-03-28 10:15 UTC (History)
0 users

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Leroy 2022-03-28 09:20:04 UTC
CVE-2022-27941

tcprewrite in Tcpreplay 4.4.1 has a heap-based buffer over-read in
get_l2len_protocol in common/get.c.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-27941
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-27941
https://github.com/appneta/tcpreplay/issues/716
http://www.cvedetails.com/cve/CVE-2022-27941/
Comment 1 Thomas Leroy 2022-03-28 09:20:30 UTC
Still no fix upstream.

The following codestreams are likely affected:
- openSUSE:Factory
- openSUSE:Backports:15.4
- openSUSE:Backports:15.3